{% load app_filters %}
<html xmlns="http://www.w3.org/1999/html">
<head>
<style>


    @page {
        size: a4 portrait;
{}
        @frame header_frame {           /* Static Frame */
            -pdf-frame-content: header_content;
            left: 40pt; width: 512pt; top: 20pt;
            border: 0pt solid white;
        }
        @frame content_frame {          /* Content Frame */
            -pdf-frame-content: main_content;
            left: 40pt; width: 512pt; top: 150pt; height: 632pt;
            border: 0pt solid white;
        }
        @frame footer_frame {           /* Another static Frame */
            -pdf-frame-content: footer_content;
            left: 40pt; width: 512pt; top: 700pt;
            border: 0pt solid white;
        }
    }

    body{
    
        font-size: 12pt;
    }
    p{

        line-height: 14px;
        padding-bottom: 0pt !important;
        padding-top: 0pt !important;

    }
 
    h1, h2, h3, h4, h5, li{
        padding-top: 0px;
        padding-bottom: 0px;
    }
    h1 {
        text-align:center;
    }
    .footer p{
        font-size: 11px;
        margin-top: .05pt;
        margin-bottom: .05pt;
    }
    .footer2 p{
        font-size: 11px;
        margin-top: .05pt;
        margin-bottom: .05pt;
    }
    .footer {
        padding-top: 20pt;
        margin-left: 60pt;
    }
    .address p{
        font-size: 11px;
        margin-top: .05pt;
        margin-bottom: .05pt;
        text-align: center;
    }
    .address {
        padding-top: 20pt;
    }
    .content{

    }
    .pull-right{
        position: fixed;
        float: right !important;
        padding-left: 150pt;
    }
    table{
        padding-left: 8pt;
   


    }
    .patient-table p{
        margin-top: 2pt;
        margin-bottom: 2pt;
    }
    .brand{
        font-size: 20pt;
    }
    .header-table {
        margin-top: -50px;
    }
    .footer_table {
        padding-top: -25px;
    }
    .header-title {
       margin-bottom: -70pt;
    }
    .footer-    table img{
        padding-bottom: 10pt;
    }
</style>
</head>

<body>
    <div id="header_content">
        <table class="header-table">
            <tr>
                <td align="left">
                    <table>
                    <tr>
                        <td>
                            <img src="{{ order.hospital.logo.file|appStorage }}" width="142">    
                        </td>
                    </tr>
                    <tr></tr>
                    <tr>
                        <td>
                            <div class="address">
                             <p align="left">{{ order.hospital.name }}</p>
                             <p align="left">{{ order.hospital.address}}</p>
                            </div>        
                        </td>
                    </tr>
                    
                    </table>
                        
                </td>
                <td> 
              


                 <h1 align ="center">Radiology Report</h1>
                 
                </td>
                <td align="left">
                    <table>
                        <tr>
                            <td>
                                <img src="{{ order.provider.logo.file|appStorage }}" height="142" width="142">
                            </td>
                        </tr>
                        <tr></tr>
                        <tr>
                            <td>
                                <div class="address">
                                 <p align="left">{{ order.provider.name }}</p>
                                 <p align="left">{{ order.provider.city}}</p>
                                 <p align="left">{{ order.provider.country.name}}</p>
                             </div>
                            </td>
                        </tr>
                    </table>
                    
                      
                </td>
                
            </tr>
        </table>
       

    </div>

    <!-- Content for Static Frame 'header_frame' -->
    <div id="main_content">
    <br>
    <br>
        <table class="patient-table" >
            <tr>
                <td>
                   <p>Patient name: {{ order.patient.name }} </p>
                    <p>Facility Name: {{ order.hospital.name }} </p>
                    <p>Study Type:  {{ order.modality }}</p>
                    <p>Time Pickup: {{ order.created_at|date:"d-M-Y H:i" }}</p>
                </td>


                <td>
                    <p>Patient ID: {{ order.patient.patient_id }}</p>
                    <p>Accession Number: {{ order.accession_id }} </p>
                    <p>Gender: {{ order.patient.gender }}</p>
                    <p>Time Sent: {% now "d-M-Y H:i" %}</p>
                    
                </td>
            </tr>
        </table>
        <hr/>
         <div>
           {{ order.report|safe }}
        </div>

         <table>
            {% if order.provider %}
                <tr>
                    <td align="center">
                        <img  src="{{ order.doctor_signatures.all.0.signature|appStorage }}" width="150">
                        
                    </td>
                    <td align="center">
                        <img   src="{{ order.doctor_signatures.all.1.signature|appStorage }}" width="150">
                    </td>
                </tr>
                <tr>
                    <td align="center">
                        <img  src="{{ order.doctor_signatures.all.2.signature|appStorage }}" width="150">
                        
                    </td>
                    <td align="center">
                        <img   src="{{ order.doctor_signatures.all.3.signature|appStorage }}" width="150">
                    </td>
                </tr>
            {% else %}
                <tr>
                    <td align="right">
                        <img  src="{{ order.radiologist.signature.file|appStorage }}" width="150">
                        
                    </td>
                </tr>
            {% endif %}
        </table>
    </div>
    
 
    
    <div id="footer_content">
    <hr/>
    <table class="footer-table">
            <tr>
                <td>
                    <div class="footer2">
                            <p>{{ order.hospital.name }}</p>
                            <p>{{ order.hospital.email}}</p>
                            <p>{{ order.hospital.phone }}</p>
                        </div>
                </td>
                <td>
                    Page <pdf:pagenumber> of <pdf:pagecount>
                </td>
                <td>
                        <img src="{{ settings.BASE_DIR }}/static/report/alemhealth.png">
                        <br>
                        <div class="footer">
                        </div>
                   
                </td>
            </tr>
        </table>

    </div>
</body>
</html>
